//description part

package com.c349blum.newerdemoapp;

import java.io.InputStream;

import android.app.Activity;
import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;

import android.widget.TextView;
import android.widget.Toast;

public class ProductDescription extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_product_description);

		if (savedInstanceState == null) {
			getFragmentManager().beginTransaction()
					.add(R.id.container, new PlaceholderFragment()).commit();
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.product_description, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	/**
	 * A placeholder fragment containing a simple view.
	 */
	public static class PlaceholderFragment extends Fragment {

		public PlaceholderFragment() {
		}

		@Override
		public View onCreateView(LayoutInflater inflater, ViewGroup container,
				Bundle savedInstanceState) {
			View rootView = inflater.inflate(
					R.layout.fragment_product_description, container, false);
			
			TextView tvDescr = (TextView) rootView.findViewById(R.id.tvDescr);
			// new -- rootView before findViewById
			
			
			
			try{
				//http://stackoverflow.com/questions/6420293/reading-android-raw-text-file
				InputStream is = getResources().openRawResource(R.raw.ta275569_desc);
				byte[] buffer = new byte[is.available()];
			    while (is.read(buffer) != -1);
			    
			    String myText = new String(buffer);
			    tvDescr.setText(myText);
			}
			catch(Exception e){
				Toast.makeText(getActivity().getBaseContext(), "Problem with file", Toast.LENGTH_SHORT).show();
				e.printStackTrace();
			}  
		
			return rootView;
		}
	}

}
